@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico_bit_ops

Optimized bit manipulation functions. More...

## Functions

uint32_t | __rev (uint32_t bits)
| Reverse the bits in a 32 bit word.
uint64_t | __revll (uint64_t bits)
| Reverse the bits in a 64 bit double word.

## Detailed Description

Optimized bit manipulation functions.

Additionally provides replacement implementations of the compiler built-ins __builtin_popcount, __builtin_clz and __bulitin_ctz

## Function Documentation

## __rev()

uint32_t __rev | ( | uint32_t | bits | ) |

Reverse the bits in a 32 bit word.

Parameters

  bits | 32 bit input

Returns
  the 32 input bits reversed

## __revll()

uint64_t __revll | ( | uint64_t | bits | ) |

Reverse the bits in a 64 bit double word.

Parameters

  bits | 64 bit input

Returns
  the 64 input bits reversed